﻿@model Tuple<ActivitiesView, List<string>>
@{
    ViewBag.Title = "_Activity";
    Layout = "~/Areas/PLM/Views/Shared/_Layout.cshtml";
}

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var fromPage = '@ViewBag.FromPage';
</script>

@Styles.Render("~/Content/DataPicker")
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<h1 class="page-header">@ViewBag.Tite</h1>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@Activity.Activities</h3>
    </div>
    <div class="panel-body">
        @using (Html.BeginForm("ConfirmAction", "Activity", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formActivity" }))
        {


            <div class="col-md-4">

                <label class="col-md-4 control-label" id="REQ" style="display:none">@Companies.REQ</label>

                <div class="form-group">
                    <label class="col-md-4 control-label" id="LCode">@Activity.Code</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(c => c.Item1.ClgCode, new { @Id = "ClgCode", @Name = "ClgCode", @placeholder = @Activity.Code, @class = "form-control", @disabled = "disabled" })
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label" id="LCardcode">@Activity.Cardcode</label>
                    @if (ViewBag.FormMode == "Add")
                {
                        <div class="col-md-8">
                            @Html.TextBoxFor(c => c.Item1.CardCode, new { @Id = "CardCode", @Name = "CardCode", @placeholder = @Activity.Cardcode, @class = "form-control form_separator" })
                        </div>
                    }
                    else
                    {
                        <div class="col-md-8">
                            @Html.TextBoxFor(c => c.Item1.CardCode, new { @Id = "CardCode", @Name = "CardCode", @placeholder = @Activity.Cardcode, @class = "form-control form_separator", @disabled = "disabled" })
                        </div>
                    }

                    @if (ViewBag.FormMode == "Add")
                {

                        <div class="col-md-12" style="margin-top:5px;">
                            <button type="button" class="btn btn-success btn-ls pull-right " data-toggle="modal" data-target="#VendorModal"><span class="glyphicon glyphicon-search"></span>Search</button>
                        </div>
                    }

                </div>

            </div>
            <div class="col-md-8">

                <div class="form-group">
                    <label class="col-md-4 control-label" id="LCardname">@Activity.Cardname</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(c => c.Item1.CardName, new { @Id = "CardName", @Name = "CardName", @placeholder = @Activity.Cardname, @class = "form-control", @disabled = "disabled" })
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label" id="LDatefrom">@Activity.Datefrom</label>
                    <div class="col-md-8">
                        <div class="input-group date">
                            @Html.TextBoxFor(c => c.Item1.Recontact, new { @Id = "Recontact", @Name = "Recontact", @placeholder = @Activity.Datefrom, @class = "form-control", @Value = Model.Item1.Recontact.ToShortDateString() })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label" id="LDateto">@Activity.Dateto</label>
                    <div class="col-md-8">
                        <div class="input-group date">
                            @Html.TextBoxFor(c => c.Item1.endDate, new { @Id = "endDate", @Name = "endDate", @placeholder = @Activity.Datefrom, @class = "form-control", @Value = Model.Item1.endDate.ToShortDateString() })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                        </div>
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label" id="LAction">@Activity.Activities</label>
                    <div class="col-md-8">
                        @Html.DropDownListFor(model => model.Item1.Action, new SelectList(
                                Model.Item1.ActivityCombo.ActivityActionList,
                                "Code",
                                "Name", Model.Item1.Action), new { @Id = "Action", @class = "form-control" })
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label" id="LType">@Activity.Type</label>
                    <div class="col-md-8">
                        @Html.DropDownListFor(model => model.Item1.CntctType, new SelectList(
                                Model.Item1.ActivityCombo.ActivityTypeList,
                                "Code",
                                "Name", Model.Item1.CntctType), new { @Id = "CntctType", @class = "form-control" })
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label" id="LUserType">Assigned To</label>
                    <div class="col-md-8">
                        @Html.DropDownListFor(model => model.Item1.UserType, new SelectList(
                                 Model.Item1.ActivityCombo.ActivityUserTypeList,
                                             "Code",
                                             "Name", Model.Item1.UserType), new { @Id = "UserType", @class = "form-control" })
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label" id="LActUser"></label>
                    <div class="col-md-8" id="DivActUser">
                        @Html.DropDownListFor(model => model.Item1.ActUser, new SelectList(
                                 Model.Item1.ActivityCombo.ActivityUserList,
                                 "Code",
                                 "Name", Model.Item1.ActUser), new { @Id = "ActUser", @class = "form-control" })
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label" id="LPriority">@Activity.Priority</label>
                    <div class="col-md-8">
                        @Html.DropDownListFor(model => model.Item1.Priority, new SelectList(
                                         Model.Item1.ActivityCombo.ActivityPriorityList,
                                                              "Code",
                                                  "Name", Model.Item1.Priority), new { @Id = "Priority", @class = "form-control" })
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label" id="LStatus">@Activity.Status</label>
                    <div class="col-md-8">
                        @Html.DropDownListFor(model => model.Item1.status, new SelectList(
                        Model.Item1.ActivityCombo.ActivityStatusList,
                        "statusID",
                        "name", Model.Item1.status), new { @Id = "Status", @class = "form-control" })
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label" id="LRemark">@Activity.Remark</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(c => c.Item1.Details, new { @Id = "Details", @Name = "Details", @placeholder = @Activity.Remark, @class = "form-control" })
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label" id="LNote">@Activity.Note</label>
                    <div class="col-md-8">
                        @Html.TextBoxFor(c => c.Item1.Notes, new { @Id = "Notes", @Name = "Notes", @placeholder = @Activity.Note, @class = "form-control" })
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-md-4 control-label" id="LClosed">@Activity.Closed</label>
                    <div class="col-md-8">
                        <label class="">
                            @Html.CheckBox("Closed", (Model.Item1.Closed == "Y" ? true : false), new { @Id = "Closed" })
                        </label>
                    </div>
                </div>

                @Html.HiddenFor(c => c.Item1.ClgCode)
                <div class="alert alert-success" id="UpdateCorrectly" role="alert">
                    <strong>The Activity was updated correctly.</strong>
                </div>

            </div>


                <div class="but_blok_footer">
                    <div class="col-md-12">
                        @if (ViewBag.FormMode == "Add" || ViewBag.FormMode == "Update")
                        {
                            <button type="submit" class="btn btn-lg btn-success pull-right">Ok</button>
                        }
                        @{
                            string mFromPage = ViewBag.FromPage;
                            switch (mFromPage)
                            {
                                case "Activities":
                                    @Html.ActionLink(@Activity.Cancel, "Index", "Activity", null, new { @class = "btn btn-lg btn-default  pull-right" })
                                    break;
                                case "MyActivities":
                                    @Html.ActionLink(@Activity.Cancel, "IndexMyActivity", "Activity", null, new { @class = "btn btn-lg btn-default  pull-right" })
                                    break;
                            }
                        }
                        @if (Model.Item2 != null)
                        {
                            @Html.Partial("_CRButton", Tuple.Create((object)Model.Item1, Model.Item2));
                        }
                    </div>
                </div>
                }
            </div>
</div>

@*Modal Vendors*@
<div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">Search Vendor</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-4" style="padding-top:0px;">
                        <div class="row">
                            <label class="col-md-3 control-label">@Activity.Code</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtCodeBP", null, new { @Id = "txtCodeBP", @Name = "txtCodeBP", @placeholder = @Activity.Code, @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@Activity.Name</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @Name = "txtNameBP", @placeholder = @Activity.Name, @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchVendor" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @Activity.Search</button>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive responsive table_cart">
                        <table id="assets-data-table-BP" class="table table-striped table-hover display" style="width:100%;"></table>
                        <script type="text/javascript">
                        var assetListBP;
                        $(function () {
                            assetListBP = {
                                dtBP: null,
                                init: function () {
                                    dtBP = $('#assets-data-table-BP').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/PLM/Activity/_Vendors",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#txtCodeBP").val();
                                                data.pCardName = $("#txtNameBP").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@Activity.Code", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@Activity.Name", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@Activity.Type", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@Activity.Customer"; break;
                                                        case "S": return "@Activity.Vendor"; break;
                                                        case "L": return "@Activity.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetVendor('" + data.CardCode + "','" + data.CardName + "',true);\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @Activity.Select</button>";
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                    });
                                },
                                refresh: function () {
                                    dtBP.ajax.reload();
                                }
                            }
                        });
                        </script>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
            </div>
        </div>
    </div>
</div>

@Scripts.Render("~/bundles/Activity")


